Skip to content

Generate an Excel report containing configuration information for a Vault. Users must have the Vault Configuration Report permission to use this API.

POST/api/{version}/objects/vault/actions/configreport
NameDescription
Content-Typemultipart/form-data (default) or application/x-www-form-urlencoded
NameDescription
include_vault_settings
optional
To exclude Vault Settings for comparison, set to false. If omitted, this defaults to true and Vault Settings are included.
include_inactive_components
optional
If set to true, inactive components and subcomponents are included in the report. If omitted, defaults to false and only active components and subcomponents are included. See details for inactive workflows.
include_components_modified_since
optional
Only include components modified since the specified date. Provide the date in the format yyyy-mm-dd. If omitted, includes all components. This option is not available for subcomponents.
include_doc_binder_templates
optional
To exclude document and binder templates, set to false. If omitted, this defaults to true and document and binder templates are included.
suppress_empty_results
optional
If set to true, Vault excludes tabs with only header rows from the report.
component_types
optional
Add a comma-separated list of component types to include. For example, Doclifecycle,Doctype,Workflow. If omitted, this defaults to include all components and Vault includes an Excel object data report in the ZIP file output.
output_format
optional
Output report as either an Excel (XSLX) or Excel_Macro_Enabled (XLSM) file. If omitted, defaults to Excel_Macro_Enabled.

Vault ignores the setting include_inactive_components for document workflows. If a workflow was active, but is currently in "editing" state, the report shows the latest active version of it. If a workflow has never been active, the report does not include it.

Vault respects the include_inactive_components setting for object workflows. If set to true, the report includes all inactive workflows, including those that have never been active. If set to false, the report does not include any workflows that are currently in "editing" state, including those that have an active version.

curl -X POST -H "Authorization: {SESSION_ID}" \ - H "Content-Type: application/x-www-form-urlencoded" \ - d "include_components_modified_since=2017-01-01" \ https://myveevavault.com/api/v23.2/objects/vault/actions/configreport
{ "responseStatus": "SUCCESS", "url": "/api/v23.2/services/jobs/43902", "job_id": 43902 }

On SUCCESS, the response includes the url and job_id of the new Configuration Report job. You can use these to find the Job Status, and using the link from the job status response, download your report. The download is a ZIP file. If Vault encounters any MDL component or configuration issues, the job status response also includes a link to download an error log as a CSV file. The authenticated user will also receive an in-app notification with these download links. If there are pending component updates, Vault places the report request in a queue and sends you a notification. Once component update processing is complete, Vault generates the report and sends another notification.

Component Modified Date values in the report only refer to component-level modifications and do not reflect modifications to subcomponents. For example, modifying an object field does not change the Component Modified Date value for an object, but modifying the object label does. See the Component Type referenece for more information about components and their subcomponents.